Tokaify APITokaify API
API Reference
AI Model APIAudioGemini APIgemini-2.5-pro-preview-tts

Speech Generation

gemini-2.5-pro-preview-tts Speech Generation API

The model parameter is fixed to gemini-2.5-pro-preview-tts.

POST
/v1/audio/speech

Authorization

BearerAuth

AuthorizationBearer <token>

Model relay interface recognition. Request heading: Autoration: Bearer .

In: header

Request Body

application/json

model*string

A speech synthesis model.

Default"gemini-2.5-pro-preview-tts"
input*string

Text content to read.

voice*string

Sound, e.g. _FD_PROTEC_0, FD_PROTEC_1. A voice string field. Scope: Non-empty string or verification by business configuration.

format?string

Output audio format, e.g. _FD_PROTEC_0, FD_PROTEC_1.

speed?number

Speed. Speed value fields. Scope: An interface description or backstage configuration.

Response Body

audio/mpeg

curl -X POST "https://api.tokaify.com/v1/audio/speech" \  -H "Content-Type: application/json" \  -d '{    "model": "gemini-2.5-pro-preview-tts",    "input": "Enter text that needs to be processed.",    "voice": "string",    "format": "json",    "speed": 1  }'
"string"

How is this guide?

Last updated on